> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Browse Profile Addresses

> A `GET` to the `/profiles/{profileId}/addresses` endpoint allows your application to get a list of a Profiles Addresses.

<Note>
  **Looking for a specific profile address?**

  This request will return *all* addresses listed against the profile.
  to get a specific address by id, consider using [Read Profile Address](/api-reference/profile-address/read-profile-address)
</Note>


## OpenAPI

````yaml get /v3/profiles/{profile}/addresses
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/profiles/{profile}/addresses:
    get:
      tags:
        - Profile Address
      summary: Browse Profile Addresses
      description: >-
        A `GET` to the `/profiles/{profileId}/addresses` endpoint allows your
        application to get a list of a Profiles Addresses.
      operationId: profiles.addresses.index
      parameters:
        - name: profile
          in: path
          required: true
          description: The profile ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Array of `Address`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Address'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    Address:
      type: object
      properties:
        id:
          type: integer
        address_line_1:
          type: string
        address_line_2:
          type:
            - string
            - 'null'
        address_line_3:
          type:
            - string
            - 'null'
        company:
          type:
            - string
            - 'null'
        latitude:
          type:
            - number
            - 'null'
        longitude:
          type:
            - number
            - 'null'
        city:
          type: string
        postcode:
          type: string
        state:
          type:
            - string
            - 'null'
        country:
          type: string
        notes:
          type:
            - string
            - 'null'
        external_id:
          type:
            - string
            - 'null'
        is_default:
          type: boolean
        created_at:
          type: string
        updated_at:
          type: string
        meta:
          type:
            - array
            - 'null'
          items: {}
        name:
          type:
            - string
            - 'null'
        type:
          type:
            - string
            - 'null'
        phone:
          type:
            - string
            - 'null'
        iso:
          type:
            - string
            - 'null'
        iso_state:
          type:
            - string
            - 'null'
        profile_id:
          type:
            - string
            - 'null'
        custom_fields:
          type: object
          additionalProperties: {}
      required:
        - id
        - address_line_1
        - address_line_2
        - address_line_3
        - company
        - latitude
        - longitude
        - city
        - postcode
        - state
        - country
        - notes
        - external_id
        - is_default
        - created_at
        - updated_at
        - meta
        - name
        - type
        - phone
        - iso
        - iso_state
        - profile_id
        - custom_fields
      title: Address
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````